This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022124 - jpanoramamaker: remove versioned jars from %{_javadir}
jpanoramamaker: remove versioned jars from %{_javadir}
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jpanoramamaker (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:46 EDT by Stanislav Ochotnicky
Modified: 2013-11-29 14:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-29 14:31:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:46:42 EDT
Package jpanoramamaker seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
jpanoramamaker:
/usr/share/java/jpanoramamaker-5.5.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 jiri vanek 2013-11-29 14:31:21 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=6240174 (and f20,19,18)

Note You need to log in before you can comment on or make changes to this bug.